/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-06-26
 * 描述            ：成本对象基础表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Cm.vo;
import java.io.Serializable;
import java.util.Date;

import market.Cm.mapper.BaseCostObjectMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="CM_BASE_COST_OBJECT", namespace=BaseCostObjectMapper.class)
public class BaseCostObject extends BaseVO implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = -6651908160534600489L;
	/** 
	 * 对象代码(CP01 第3级最后3位)
	 */ 
	@Id
	private String object_code;
	public String getObject_code() {
		return this.object_code;
	}
	public void setObject_code(String object_code) {
		this.object_code = object_code;
	}

	/** 
	 * 对象名称
	 */ 
	@Column
	private String object_name;
	public String getObject_name() {
		return this.object_name;
	}
	public void setObject_name(String object_name) {
		this.object_name = object_name;
	}

	/** 
	 * 对象描述
	 */ 
	@Column
	private String object_desc;
	public String getObject_desc() {
		return this.object_desc;
	}
	public void setObject_desc(String object_desc) {
		this.object_desc = object_desc;
	}

	/** 
	 * 对象类型
	 */ 
	@Column
	private String object_type;
	public String getObject_type() {
		return this.object_type;
	}
	public void setObject_type(String object_type) {
		this.object_type = object_type;
	}

	/** 
	 * 对象等级
	 */ 
	@Column
	private Long object_grade;
	public Long getObject_grade() {
		return this.object_grade;
	}
	public void setObject_grade(Long object_grade) {
		this.object_grade = object_grade;
	}

	/** 
	 * 父代码
	 */ 
	@Column
	private String parent_object_code;
	public String getParent_object_code() {
		return this.parent_object_code;
	}
	public void setParent_object_code(String parent_object_code) {
		this.parent_object_code = parent_object_code;
	}

	/** 
	 * 父名称
	 */ 
	@Column
	private String parent_object_name;
	public String getParent_object_name() {
		return this.parent_object_name;
	}
	public void setParent_object_name(String parent_object_name) {
		this.parent_object_name = parent_object_name;
	}

	/** 
	 * 是否对照
	 */ 
	@Column
	private String is_cmp;
	public String getIs_cmp() {
		return this.is_cmp;
	}
	public void setIs_cmp(String is_cmp) {
		this.is_cmp = is_cmp;
	}

	/** 
	 * 是否归集
	 */ 
	@Column
	private String is_gather;
	public String getIs_gather() {
		return this.is_gather;
	}
	public void setIs_gather(String is_gather) {
		this.is_gather = is_gather;
	}

	/** 
	 * 组内显示顺序
	 */ 
	@Column
	private Long index_id;
	public Long getIndex_id() {
		return this.index_id;
	}
	public void setIndex_id(Long index_id) {
		this.index_id = index_id;
	}

	/** 
	 * 显示属性(0零值不显 1强制显示)
	 */ 
	@Column
	private String disp_attr;
	public String getDisp_attr() {
		return this.disp_attr;
	}
	public void setDisp_attr(String disp_attr) {
		this.disp_attr = disp_attr;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String memo;
	public String getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/** 
	 * 有效标志(1有效 0无效)
	 */ 
	@Column
	private String valid_flg;
	public String getValid_flg() {
		return this.valid_flg;
	}
	public void setValid_flg(String valid_flg) {
		this.valid_flg = valid_flg;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_man;
	public String getCreate_man() {
		return this.create_man;
	}
	public void setCreate_man(String create_man) {
		this.create_man = create_man;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_man;
	public String getUpdate_man() {
		return this.update_man;
	}
	public void setUpdate_man(String update_man) {
		this.update_man = update_man;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}
	
	//***************************************************************
	private String cmp_code;//对照编码
	private String cmp_name;//对照名称
	private String mdl_code;//模块编码
	private String mdl_name;//模块名称
	public String getCmp_code() {
		return cmp_code;
	}
	public void setCmp_code(String cmp_code) {
		this.cmp_code = cmp_code;
	}
	public String getCmp_name() {
		return cmp_name;
	}
	public void setCmp_name(String cmp_name) {
		this.cmp_name = cmp_name;
	}
	public String getMdl_code() {
		return mdl_code;
	}
	public void setMdl_code(String mdl_code) {
		this.mdl_code = mdl_code;
	}
	public String getMdl_name() {
		return mdl_name;
	}
	public void setMdl_name(String mdl_name) {
		this.mdl_name = mdl_name;
	}

}
